### Hierarchy

- EntityBone
  - PedBone

## Index

### Constructors

- constructor

### Properties

- index
- owner

### Accessors

- Index
- IsValid
- Owner
- Position

## Constructors

### constructor

- new PedBone(owner: Ped, boneId: Bone): PedBone

- Overrides EntityBone.constructor

  - Defined in models/PedBone.ts:5

  #### Parameters

  - ##### owner: Ped

  - ##### boneId: Bone

  #### Returns PedBone

## Properties

### Protected Readonly index

index: number

Inherited from EntityBone.index

- Defined in models/EntityBone.ts:23

### Protected Readonly owner

owner: Entity

Inherited from EntityBone.owner

- Defined in models/EntityBone.ts:22

## Accessors

### Index

- get Index(): number

- - Defined in models/EntityBone.ts:5

  #### Returns number

### IsValid

- get IsValid(): boolean

- - Defined in models/PedBone.ts:9

  #### Returns boolean

### Owner

- get Owner(): Entity

- - Defined in models/EntityBone.ts:9

  #### Returns Entity

### Position

- get Position(): Vector3

- - Defined in models/EntityBone.ts:13

  #### Returns Vector3

Generated using TypeDoc